package com.yihu.wlyy.entity.doctor.emr;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 医生病历片段类型表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_medical_records_part")
public class DoctorMedicalRecordsPart extends IdEntity {
	private static final long serialVersionUID = 4626755759476144536L;

	private String code;        // 片段标识
	private String doctor;      // 医生标识，空表示是系统片段
	private String name;        // 片段名称
	private Date czrq;          // 添加时间
	private String del;         // 作废标识：1正常，0作废

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
